Search these docs, or ask Revo a question — answers link the pages they came from.
Returns a list of StorageDeviceInfo data about the storage device
GET
/api/v1/{tenantid}/storage-devices
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantid
required
string
Responses
Section titled “ Responses ”OK
object
storageDevices
Array<object>
object
deviceName
string
deviceId
string
deviceType
string
columns
Array<object>
object
columnNumber
integer format: int32
positions
Array<object>
object
positionId
integer format: int32
height
number format: double
storeId
string
labwareId
string
labwareInfo
object
entityId
string
barcode
string
labwareName
string
incubationDuration
integer format: int64
entryTime
integer format: int64
incubationTimeRemaining
integer format: int64
isReversed
boolean
Bad Request
object
message
string
code
string
Too Many Requests
object
message
string
code
string
Service Unavailable
object
message
string
code
string
Gateway Timeout
object
message
string
code
string